desc 'Creates gem installable package.'
task :package do |t, args|
  require 'rubygems/package'
  require 'fileutils'

  puts 'Building gem'
  if !File.exists?('target')
    Dir.mkdir('target')
  else
    FileUtils.rm_r(Dir['target/*'])
  end
  basename = File.basename(Dir.pwd).downcase
  gemspec = File.join(Dir.pwd, "#{basename}.gemspec")
  gemspec = eval(File.read(gemspec))
  gem_file = Gem::Package.build(gemspec)
  FileUtils.mv(gem_file, 'target')
end
