desc 'Runs gem tests.'
task :test do |t, args|
  puts 'Running tests'
  root_dir = File.expand_path('./')
  require 'rake/testtask'
  if (FileUtils::RUBY[/^file:.*.jar!/])
    # Fix for running tests with jruby-complete
    jar_path = FileUtils::RUBY.split('file:')[1].split('!')[0]
    FileUtils::RUBY = "java -jar #{jar_path}"
  end
  test_task = Rake::TestTask.new
  test_task.libs << File.join(root_dir , 'lib')
  test_task.libs << File.join(root_dir , 'test')
  test_task.test_files = FileList["#{root_dir}/test/**/test*.rb"]
  test_task.verbose = true
  test_task.run_code
end
